public class TestCallBack {
  /* to include the callback functionality */
  public native static String calcMuPAD(String query);

  public static String callBack() {
    return calcMuPAD("solve(x^4 - 5*x^2 + 6*x = 2, x)");
  }

  public static void main(String[] args) {
    String result = callBack();
    System.out.println("MuPAD calculated for solve(x^4 - 5*x^2 + 6*x = 2, x): " + result);
  }
}
